:root {
	--blue:	#006bc0;
	--red: #7b0204;
	--purple: lavender;
	--cream: snow;
}
body {
	width: 100%; top:0px; left:0px;
	background-color: black;
	margin: 0;
	max-width: 100%;
    overflow-x: hidden;
}

						/*Header*/
.header {
	position: fixed;
	display: flex;
	z-index:10;
	flex-direction: row;
	width: 100%; top: 0px; left: 0px;
	background-color: black;
	border-bottom: 3px solid var(--red);
	box-shadow: 0px 4px 3px darkgray;
}
.header section {
	position: relative;
	width: 30%;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
}
.logopic {
	height: 40px;
	border: 2px solid var(--blue);
	border-radius: 12px;
	margin: 5px 0px 5px 0px;
}
.deboktonwords {
	height: 25px;
	padding-left: 5px;
}
nav {
	position: relative;
	display: flex;
	flex-direction: row;
	width: 70%;
	justify-content: space-evenly;
	align-items: center;
}
nav a {
	text-decoration: none;
}
h4 {
	font-family: "liberation sans", sans;
	font-size: 12pt;
	text-decoration: none;
	font-weight: bold;
	color: white;
}
.drcontent {
	display:none;
	position: absolute;
	background-image: linear-gradient(to bottom, white, snow);
	padding: 10px 10px 10px 10px; 
	width: 125px;
	border-radius: 12px;
	z-index: 3;
	right: 15%;
}
.drcontent a{
	display: block;
	color:black;
	font-family: "liberation sans", sans;
	font-size: 12pt;
}
.drcontent a:hover {
	font-weight: bold;
	color: var(--blue);
}
.dropdown:hover .drcontent {display: block;}
.tabin {margin-left: 15px;}

						/*Text Styles*/
a {
	text-decoration: none;
}
h1 {
	font-family: "copperplate gothic bold", "liberation sans", sans;
	font-size: 32pt;
	text-decoration: none;
	font-weight: bold;
	color: var(--red);
	text-shadow: -1px -1px 2px var(--blue);
	text-align: center;
}
h2 {
	font-family: "liberation sans", sans;
	font-size: 24pt;
	text-decoration: none;
	font-weight: bold;
	color: black;
	text-shadow: -1px -2px 2px white;
	text-align: center;
	margin-bottom: 0px;
}
h3 {
	font-family: "liberation sans", sans;
	font-size: 16pt;
	text-decoration: none;
	font-weight: bold;
	color: white;
	text-align: center;
	margin-bottom: 0px;
}
p {
	
	font-family: "liberation sans", sans;
	font-size: 12pt;
	text-decoration: none;
	font-weight: bold;
	color: black;
	text-align: center;
}

						/*Banner*/
.section1 {
	display: flex;
	position: relative;
	background-image: url("../pics/bannerhome.png");
	background-position: right center;
	background-size: cover; margin-left: 0px;
	width:100%; height: 450px;
	border-bottom: 3px solid var(--blue);
}
.pitch {
	position: relative;
	background-color: transparent;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	margin-left: 4%; margin-top: 4%;
}
.section1 .pitch h1 {
	color: white; text-shadow: -1px -2px 2px var(--red);
}
.pitch h2 {
	color: white;
	text-shadow: -1px -2px 2px var(--blue);
}
.pitch p {
	margin-bottom: 10px;
	width: 70%;
	color: white;
}
.button1 {
	background-color: var(--blue);
	padding: 0px 10px 20px 10px;
	border: 1px solid white;
	border-radius: 30px;
	margin-top: 30px;
	margin-bottom: 30px;
	box-shadow: -2px -2px 2px silver;
}

						/*Section 2: Genre Links*/

.section2 {
	position: relative;
	width: 100%;
	background-color: white;
	/*background-image: url(bgspace.png);*/
	background-repeat: repeat;
	margin-top: 0px;
	padding: 30px 0px 40px 0px;
}	
.booktype {
	position: relative;
	display:grid;
	width:90%; margin:auto;
	gap:4px;
	background-color: lavender;
	border: 2px solid var(--blue);
	border-radius: 10px;
	margin-top:0px;
	padding:2px 2px 2px 2px;
	justify-content:center;
	grid-template-columns: 2fr 2fr 3fr 2fr 2fr;
	height: 400px;
	grid-template-areas:
		"kid chp nov aud edu";
}
.fullnovels {
	background-image: url("../pics/bannernovel.jpg");
	background-position: center center;
	background-size: cover;
	border:3px solid var(--blue);
	border-radius:10px;
	padding: 3px 3px 3px 3px;
	grid-area:nov;
}
.youngreads {
	background-image: url("../pics/banneryoungreaders.jpg");
	background-position: center center;
	background-size: cover;
	border:3px solid var(--blue);
	border-radius:10px;
	padding: 3px 3px 3px 3px;
	grid-area:chp;
}
.kidpics {
	background-image: url("../pics/bannerpicturebooks.jpg");
	background-position: center center;
	background-size: cover;
	border:3px solid var(--blue);
	border-radius:10px;
	padding: 3px 3px 3px 3px;
	grid-area:kid;
}
.audiobooks {
	background-image: url("../pics/banneraudio.jpg");
	background-position: center center;
	background-size: cover;
	border:3px solid var(--blue);
	border-radius:10px;
	padding: 3px 3px 3px 3px;
	grid-area:aud;
}
.nonfiction {
	background-image: url("../pics/bannernonfic.jpg");
	background-position: center center;
	background-size: cover;
	border:3px solid var(--blue);
	border-radius:10px;
	padding: 3px 3px 3px 3px;
	grid-area:edu;
}
.booktype img {
	width:100%;
	object-fit:cover;
}
.booktype h2 {
	font-family: anton, impact, serif;
	font-size: 18 pt;
	color: var(--maincolor);
	margin-bottom: 0;
}
.booktype p {
	margin-top: 0;
	font-family: impact,serif;
	font-size: 14pt;
	color: gray;
}
.section2 h1{
	color: var(--red);
}

						/*Fundraiser*/
						
.fundraiser	{
	background-color: #bbe1ff;
	margin-top:-40px;
}	
.fundbox{
	margin-top: 0px;
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	gap: 5px;
	flex-wrap: wrap;
}	
.fundraiser img {
	height: 400px; width: 600px;
}	
.groupwords {
	height: 400px; width: 600px;
	background-color: black;
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 30px;
	flex-wrap: wrap;
}
.fundraiser h2 {
	background-color: red;
	width:100%;
	font-size: 32pt;
	margin-top: -10px;
	padding: 10px 0px 10px 0px;
}
.fundraiser p {
	margin-top: 8px;
	background-color: black;
	color: white;
	font-size: 16pt;
	text-align: center;
}	
.fundpage {
	margin-top:-120px;
	margin-bottom: 20px;
	background-color: #bbe1ff;
	width: 100%;
	position: relative;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 15px;
	align-items: center;
	justify-content: center;
}
.fundpage img {
	margin-top: 20px;
	height: 320px; width: 480px;
}
.fundtitle {
	color: white;
}
.icon {
	width:30px; height 30px;
} 
.fundexplain {
	width: 30%;
	position: relative;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	gap: 10px;
	margin-top: 20px;
	align-items: center;
	justify-content: center;
}
.fundexplain h2 {
	color: crimson;
}

						/*Section 3: Featured Books*/
						
.section3 {
	position: relative;
	margin-top: 20px;
	width:100%;
	padding: 25px 0px 20px 0px;
	background-color: #e1e3e7;
	background-image: url(bgtilemist.png);
	background-position: center top;
	background-size: cover;
	border-top: 2px solid var(--blue);
	border-bottom: 2px solid var(--blue);
}
.sec3h1 {
	color: dodgerblue;
	text-shadow: -2px -2px 1px var(--red);
	margin-bottom: 0px;
}
.featured {
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	gap: 10px;
	flex-wrap: wrap;
	height: 400px;
	margin-bottom: 10px;
}
.featimg {
	height: 360px; width: 360px;
	border: 2px solid var(--blue);
	border-radius: 10px;
}
.card {
	position: absolute;
	left:0; right:0;
	height: 360px; width: 360px;
	margin: auto;
	transition: 0.3s;
	transform: scale(0);
	opacity: 0;
}
.activeCard {
	transform: scale(1.2);
	opacity: 1;
	z-index: 4;
}
.nextCard {
	transform: translateX(420px);
	opacity: 0.8;
	z-index: 2;
}
.previousCard {
	transform: translateX(-420px);
	opacity: 0.8;
	z-index: 2;
}
.moveLeft {
	display:flex;
	align-items: center;
	text-decoration: none;
	position: absolute;
	left: 0px; justify-content: left;
	height: 100%; width: 15%;
	padding-left: 10px;
	background-image: linear-gradient(to right, snow, transparent);
	z-index: 3;
}
.moveRight {
	display:flex;
	align-items: center;
	text-decoration: none;
	position: absolute;
	right: 0px; justify-content: right;
	height: 100%; width: 15%;
	padding-right: 10px;
	background-image: linear-gradient(to right, transparent, snow);
	z-index: 3;
}

						/*YouTube Channel*/
.startohero {
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	background-color: snow;
	background-position: center center;
	width: 100%;
}
.startohero img {
	width: 100%;
	aspect-ratio: 64/9;
	padding: 20px 0px 20px 0px;
}
.startohero h1, .startohero h2 {
	color: white;
	text-shadow: -1px -1px 2px var(--blue);
	margin: 30px 0 0 0;
}
.startohero .pitch {
	margin: 0;
}
.startohero .pitch h1 {
	color: var(--red);
}
.startohero .pitch .button1 {
	margin: 10px;
	margin-bottom: 30px;
}
.shp {
	color: white;
	margin-bottom: 0px;
}

						/*Section 4 Join Team*/
.section4 {
	position: relative;
	display: flex;
	background-position: center center;
	width: 100%;
	justify-content:left;
	height:420px;
	border-top: 2px solid var(--red);
}

					/*Section 5 Find Your Hero Within*/
.section5 {
	background-position: center top;
	width:80%; margin: auto;
	margin-top: 20px; margin-bottom: 20px;
	position: relative;
	display: flex;
	flex-direction: row;
	justify-content: center;
	height: 460px;
	border: 2px solid var(--red);
	border-radius: 10px;
	background-color: snow;
}
.section5 h1 {
	color: var(--red);
	text-shadow: -3px -3px 2px white;
}
.phicon img {
	width: 400px; height: 400px;
	margin: 30px 30px 30px 30px;
	border-radius: 20px;
}
.motto {
	position: relative;
	background-color: transparent;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}


					/*Footer*/
footer {
	position: relative;
	display: flex;
	z-index:10;
	flex-direction: row;
	justify-content: space-between;
	width: 100%;
	background-color: black;
	border-top: 3px solid var(--red);
	box-shadow: 0px -4px 3px darkgray;
}
nav {
	position: relative;
	display: flex;
	flex-direction: row;
	width: 100%;
	justify-content: space-evenly;
	align-items: center;
}
nav a {
	text-decoration: none;
}
footer h4 {
	color: white;
}

@media screen and (max-width:1023px) {
h1 {font-size: 30pt;}
h2 {font-size: 20pt;}
h3 {font-size: 14pt;}
.section1 {width: 100%; height: auto;
	margin-right: 0px;}
.pitch {justify-content: center;
	width: 80%; margin: auto;}
.fundraiser {margin-top: 40px;}
.booktype {width:95%; margin:auto;
	height: 260px;}
.sec3h1{font-size: 30pt;}
.startohero {flex-direction: column; height:auto;}
.startohero img {height: 400px;}
.startohero .pitch {width: 98%; text-align: center;}
.pitch p {width: 95%;}
.pitch img {width: 95%; height: auto;}
.fundraiser {width: 100%;}
.fundpage {flex-direction: column;}
.fundexplain {width: 95%;}
.groupwords {width: 95%; margin-top: 10px;}
}

@media screen and (max-width:767px) {
header section {width: 100%;}
.deboktonwords {
	height: 15px;
	padding-left: 0px;
} 
nav {width: 40%;}
h1 {font-size: 24pt;}
h2 {font-size: 16pt;}
h3 {font-size: 14pt;}
h4 {font-size: 15px;}
.fundraiser img {
	width: 80%; height: auto;
	align-content: center;
}	
.groupwords {
	width: 80%; height: auto;
	gap: 15px;
}
.pitch {width: 98%;
	margin-top: 40px;
}
.booktype {
	grid-template-columns: auto;
	grid-template-rows: auto;
	justify-content: stretch;
	align-items: stretch;
	width: 90%; margin: auto;
	height: 2400px;
	grid-template-areas: "nov" "chp" "kid" "edu" "aud";}
.fullnovels, .youngreads, .kidpics, .audiobooks, .nonfiction {background-position: center top;}
.booktype h2 {font-size: 14pt;}
.booktype p {font-size: 12pt;}
.featimg {height: 260px; width: 260px;}
.card {height: 260px; width: 260px;}
.sec3h1{font-size: 24pt;}
.startohero img {height: 200px;}
.section5 {width:90%; margin: auto;
	margin-top: 10px; margin-bottom: 10px;
	flex-direction: column;
	align-items: center;}
.section5 h1 {margin-top: 40px;}
.phicon img {width: 200px; height: 200px;
	margin: 5px 5px 5px 5px;}
.fundraiser {width: 100%;}
.fundpage {flex-direction: column;}
.pitch img {width: 95%; height: auto;}
.fundexplain {width: 95%;}
.groupwords {width: 95%; margin-top: 30px;}
.logopic {display: none;}
}